<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package SmartBlog
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="//gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

 
	<header class="site-header" role="banner">
    	 
    <?php if ( has_nav_menu( 'primary' ) ) : ?>
            	<div class="menu-outer main-menu">
                	<div class="row">
                	<div id="main-menu" class="menu animated" aria-label="<?php esc_html_e( 'Secondary Menu', 'smartblog' ); ?>" >
 						<?php
                            wp_nav_menu( array(
                                'theme_location' => 'primary',
                                'menu_class'     => 'menu',
                             ) );
							
							if ( is_active_sidebar( 'top_menu_right' ) ) : ?>
							<div class="top-menu-right"><?php dynamic_sidebar( 'top_menu_right' ); ?>
                            
                            	
                                <div class="search-toggle">
                                <a href="#search-container" class="screen-reader-text" aria-expanded="false" aria-controls="search-container">
								<?php esc_html_e( 'Search', 'smartblog' ); ?></a>
                            </div>
                            
                            	
                                <div id="search-container" class="search-box-wrapper hide">
                                    <div class="search-box">
                                        <?php get_search_form(); ?>
                                    </div>
                                </div>
                           
                            
                            </div>
						<?php endif; ?>
                         
                   </div><!-- .main-navigation -->
                   </div>
                </div>
        <?php endif; ?>
        
        
		<div class="row">
			<div class="large-12 columns show-for-large-up hide-for-xsmall-only">
				<div class="row">
					<div class="logo-wrap">
						<?php
								global $smartblog_theme_settings;
								if( isset($smartblog_theme_settings['smartblog_logo_url']) && $smartblog_theme_settings['smartblog_logo_url'] ) { ?>
									<div class='site-logo'><a class="logo" href="<?php echo esc_url(home_url()); ?>" rel="nofollow">
										<img src="<?php echo $smartblog_theme_settings['smartblog_logo_url']; ?>" title="<?php bloginfo('description'); ?>"/>
									</a></div>
									<?php 
								}
							    else { ?>
							<hgroup>
								<h1 class='site-title'><a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><?php bloginfo( 'name' ); ?></a></h1>
								<h2 class='site-description'><?php bloginfo( 'description' ); ?></h2>
							</hgroup>
						<?php } ?>
						
					</div><!-- .site-branding -->
				</div>	
			</div>	
  		</div>	
 	</header><!-- #masthead -->
    
    
 
	<?php if ( is_home() ) {
        if ( is_active_sidebar( 'home-slider' ) ) : ?>
            <div class="large-12 columns head-bottom">
                <div class="row"><?php dynamic_sidebar( 'home-slider' ); ?></div>
            </div>
        <?php endif; 
        
        if ( is_active_sidebar( 'header_bottom' ) ) : ?>
            <div class="large-12 columns head-bottom">
                <div class="row"><?php dynamic_sidebar( 'header_bottom' ); ?></div>
            </div>
        <?php endif; 
        } ?>
        
		<?php smartblog_custom_breadcrumbs(); ?>
   
		<div id="content" class="site-inner">
			<div class="row clearfix">
				<div class="content-box clearfix">