<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package smartblog
 */

get_header(); ?>

	<div id="primary" class="content-area large-8 medium-12 columns clearfix">
		<main id="main" class="site-main" role="main">

		<?php
		global $grid_view;
		if ( have_posts() ) :
			global $post_count;
			$post_count = 1;
			if ( is_home() && ! is_front_page() ) : ?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>

			<?php
			endif;
			
			$featured_args = array('post_type' => 'post',
							'post_status' => 'publish',
							'post_tag'  => 'featured',
							'posts_per_page' => 1
						);
			
			$featured_query = null;
			$featured_query = new WP_Query($featured_args);
			
			if ($featured_query->have_posts()){
				while ($featured_query->have_posts()) : $featured_query->the_post();
					get_template_part( 'template-parts/content', get_post_format() );
				endwhile;
			}
			/* Restore original Post Data */
			wp_reset_postdata();wp_reset_query();
			
			/* Start the Loop */
			$grid_view=1;
			$post_count = 1;
			echo '<div class="grid-post-list">';
			while ( have_posts() ) : the_post();

				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content-grid', get_post_format() );
				if($post_count == 2)
				{
					echo '<div class="post-ads">'.wp_kses( get_theme_mod('homepage_first_banner'), wp_kses_allowed_html( 'post' ) ) .'</div>';
				}
				if($post_count == 4)
				{
					echo '<div class="post-ads">'. wp_kses( get_theme_mod('homepage_second_banner'), wp_kses_allowed_html( 'post' ) ).'</div>';
				}
			$post_count++;
			endwhile;?>
			</div>
			<div class="page-links center">
	          <?php 
				 $args = array(
					'prev_text'          => '&laquo;',
					'next_text'          => '&raquo;',
					);
				
				echo paginate_links($args); ?>
	        </div>
	    <?php
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->
<?php
get_sidebar();
get_footer();