<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package smartblog
 */

get_header(); ?>

	<div id="primary" class="content-area large-8 medium-12 columns clearfix">
		<main id="main" class="site-main" role="main">

		<?php
		while ( have_posts() ) : the_post();

			get_template_part( 'template-parts/content', get_post_format() );
		
		
		
		//the_post_navigation();
			
			smartblog_content_nav( 'nav-below' );

			?>

		<?php
	        // Get Author Data
	        $author             = get_the_author();
	        $author_description = get_the_author_meta( 'description' );
	        $author_url         = esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );
	        $author_avatar      = get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'wpex_author_bio_avatar_size', 75 ) );

			smartblog_theme_display_related_post();
			
	        // Only display if author has a description
	        if ( $author_description ) : ?>

	            <div class="author-box">
	                <div class="author-info-inner">
	                    <?php if ( $author_avatar ) { ?>
	                        <div class="author-avatar">
	                            <a href="<?php echo esc_url($author_url); ?>" rel="author">
	                                <?php echo wp_kses( $author_avatar, wp_kses_allowed_html( 'post' ) ); ?>
	                            </a>
	                        </div><!-- .author-avatar -->
	                    <?php } ?>
	                    <div class="author-description">
	                        <h3 class="heading"><span><?php printf( esc_html__( 'Written by %s', 'smartblog' ), $author ); ?></span></h3>
	                        <p class="autor-desc"><?php echo wp_kses( $author_description, wp_kses_allowed_html( 'post' ) ); ?></p>
	                        <a href="<?php echo esc_url($author_url); ?>" title="<?php esc_html_e( 'View all author posts', 'smartblog' ); ?>"><?php esc_html_e( 'View all author posts', 'smartblog' ); ?> &rarr;</a>
	                    </div><!-- .author-description -->
	                </div><!-- .author-info-inner -->
	            </div><!-- .author-info -->

	        <?php endif; ?>



			<?php

 			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->



<?php
get_sidebar();
get_footer();
