<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package smartblog
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> role="article" itemprop="hasPart" itemscope="" itemtype="//schema.org/Article">
<meta itemscope='itemscope' itemprop='mainEntityOfPage' itemType='https://schema.org/WebPage'/>
		
     <?php if ( !is_single() ) { ?>
		<?php if ( has_post_thumbnail() ) {	?>
		<?php echo '<a class="post-thumb" href="' . esc_url( get_permalink() ) . '" rel="bookmark">'; ?><img src="<?php esc_url(the_post_thumbnail_url('smartblog-grid-image')); ?>" alt="<?php esc_attr(the_title());?>" /></a>
         <?php }
		 else{
			 if(!is_category()){
				echo '<a class="post-thumb" href="' . esc_url( get_permalink() ) . '" rel="bookmark">'; ?><img src="<?php echo esc_url(get_stylesheet_directory_uri()."/images/noimage.jpg"); ?>" alt="<?php esc_attr(the_title());?>" /></a> <?php
			 }
		 }
		 } ?>
    
	<?php smartblog_get_post_first_image(); ?>
	
    
	<header class="entry-header">
    	   <div class="entry-meta cat-meta"><?php smartblog_posted_on(); ?></div>

		<?php
			if ( is_single() ) {
				the_title( '<h1 class="entry-title" itemprop="headline">', '</h1>' );
			} else {
				$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
				if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
					$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time>';
				}
			
				$time_string = sprintf( $time_string,
					esc_attr( get_the_date( 'c' ) ),
					esc_html( get_the_date() ),
					esc_attr( get_the_modified_date( 'c' ) ),
					esc_html( get_the_modified_date() )
				);
			
				$posted_on = sprintf(
					esc_html_x( '%s', 'post date', 'smartblog' ),
					$time_string
				);
  				echo '<h2 class="entry-title" itemprop="headline"><a class="title" itemprop="url" itemprop="url" href="' . esc_url( get_permalink() ) . '" rel="bookmark">';
				the_title();
				echo '</a></h2>';
			}
		
		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
 			<?php 
 			 //smartblog_posted_on();
			echo '<span itemprop="datePublished" content="'.get_the_time('c').'">';
			 the_time('d : m : Y') ;
 				echo '</span><span class="hr">/</span>';
   				if(!comments_open() && !pings_open() ) {
					echo '<span class="c-off">' . __('Off','smartblog') . '</span>';
				}
				else
				{
					comments_popup_link( __( '0 Comments', 'smartblog' ), __( '1 Comment', 'smartblog' ), __( '% Comments', 'smartblog' ) );
				}
			
			 ?>  
			
            <?php 
				echo ''; ?>
            
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content" itemprop="description">
		<?php
			
			if ( !is_single() ) {
				the_excerpt();				
			}
			else{
			/* show content */
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'smartblog' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
			
			wp_link_pages( array(
			'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'smartblog' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			) );
			
			}
			
		?>
 	</div><!-- .entry-content -->
    
     <?php 
 	if ( !is_single() ) { ?>
    <p class="more-link"><?php echo '<a class="title" href="' . esc_url( get_permalink() ) . '" rel="bookmark">';  esc_html_e( 'Keep Reading','smartblog'); ?> <i class="fa fa-angle-right"></i></a></p>
     <?php }?>
     
     
    <?php 
 	if ( is_single() ) { ?>
    
    <p class="tags"><?php the_tags('<span class="tags-title">' . esc_html__('Tags:', 'smartblog') . '</span> ', '  ', ''); ?></p>

	<div class="social-media-shareicon">    
        <ul>
            <li><a class="twitter" href="//twitter.com/home?status=Reading: <?php esc_url(the_permalink()); ?>" title="<?php esc_html_e('Share this post on Twitter!','smartblog'); ?>" target="_blank"><i class="step fa fa-twitter"></i><span class="social-button-count"><?php esc_html_e('Twitter','smartblog'); ?> </span></a></li> 
            <li><a class="facebook" href="//www.facebook.com/sharer.php?u=<?php esc_url(the_permalink());?>&amp;t=<?php esc_attr(the_title()); ?>" title="<?php esc_html_e('Share this post on Facebook!','smartblog'); ?>" target="_blank"> <i class="step fa fa-facebook"></i><span class="social-button-count"><?php esc_html_e('Facebook','smartblog'); ?></span></a></li>
            <li><a class="googleplus" target="_blank" href="https://plus.google.com/share?url=<?php esc_url(the_permalink()); ?>"><i class="fa fa-google-plus"></i> <span class="social-button-count"><?php esc_html_e('Google+','smartblog'); ?></span></a></li>
            <li><a class="pinterest" href="//pinterest.com/pin/create/button/?url=<?php esc_url(the_permalink()); ?>"  count-layout="none"><i class="fa fa-pinterest"></i> <span class="social-button-count"><?php esc_html_e('Pin It','smartblog'); ?></a></span></li>
            <li><a class="linkedin" href="//www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>&title=<?php esc_attr(the_title()); ?>&summary=<?php esc_attr(the_title()); ?>&source=<?php echo esc_url(home_url()); ?>"  count-layout="none"><i class="fa fa-linkedin"></i><span class="social-button-count"> <?php esc_html_e('LinkedIn','smartblog');?> </span></a></li>
            <li><a class="email" href="mailto:<?php echo (antispambot(get_the_author_meta('email'))); ?>"><i class="fa fa-envelope"></i> <span class="social-button-count"> <?php esc_html_e('Email','smartblog'); ?></span> </a></li>
        </ul>
    </div>
    <?php }?>
	
	<?php smartblog_add_publisher_structured_data(); ?>
	
</article><!-- #post-## -->
