<?php
/*
*
* Author Widget
*/
class Smartblog_Author_Widget extends WP_Widget {
	function __construct() {
	//Constructor
		$widget_ops = array('classname' => 'widget_author', 'description' => esc_html__('Shows Author information for detail page','smartblog') );		
		parent::__construct('Smartblog_Author_Widget', esc_html__('T &rarr; Author Widget','smartblog'), $widget_ops);
	}
	function widget($args, $instance) {
	// prints the widget
		extract($args, EXTR_SKIP);
		$title 			= empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
		$designation 	= empty($instance['designation']) ? '' : apply_filters('widget_designation', $instance['designation']);
		$morelink 		= empty($instance['morelink']) ? '' : apply_filters('widget_morelink', $instance['morelink']);
		$facebook 		= empty($instance['facebook']) ? '' : apply_filters('widget_facebook', $instance['facebook']);
		$twitter 		= empty($instance['twitter']) ? '' : apply_filters('widget_twitter', $instance['twitter']);
		$pinterest 		= empty($instance['pinterest']) ? '' : apply_filters('widget_pinterest', $instance['pinterest']);
		$google 		= empty($instance['google']) ? '' : apply_filters('widget_google', $instance['google']);
		global $post;
		if($post){
		$user_info = get_userdata($post->post_author);
		echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) );
		 ?>						
			<div class="widget widget_about_author widget-widget_about_author">
  					<?php echo get_avatar($post->post_author);  ?>
                     <?php if($title){ ?>
                      <h3 class="widget-title"> <?php echo wp_kses( $title, wp_kses_allowed_html( 'post' ) ); ?> </h3>
                      <?php }?>
  					<h5 class="author_name"><?php echo smartblog_author_posts_link(); ?></h5>
                     <?php if($designation){ ?>
                      <h6> <?php echo esc_html($designation); ?> </h6>
                      <?php }?>
					<p><?php echo esc_html(@$user_info->description); ?></p>
                    
                    <div class="author-bottom">
                    	<?php if($morelink){ ?><a href="<?php echo  esc_url($morelink); ?>" class="read-link"><?php esc_html__('Read More','smartblog'); ?>  <i class="fa fa-angle-right"></i></a><?php }?>
                    <ul class="social">
                         <?php if($facebook){ ?><li><a target="_blank" class="facebook" href="<?php echo esc_url($facebook); ?>">
                        <i class="fa fa-facebook"></i></a> </li><?php }?>
                        <?php if($twitter){ ?><li><a target="_blank" class="twitter" href="<?php echo esc_url($twitter); ?>">
                        <i class="fa fa-twitter"></i></a> </li><?php }?>
                        <?php if($pinterest){ ?><li><a target="_blank" class="pinterest" href="<?php echo esc_url($pinterest); ?>">
                        <i class="fa fa-pinterest"></i></a> </li><?php }?>
                        <?php if($google){ ?><li><a target="_blank" class="google-plus" href="<?php echo esc_url($google); ?>">
                        <i class="fa fa-google-plus"></i></a> </li><?php }?>
                     </ul>
                    </div>
 			</div>                     
		<?php echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );
		}
	}
	function update($new_instance, $old_instance) {
	//save the widget
		return $new_instance;
	}
	function form($instance) {
	//widgetform in backend
		$instance = wp_parse_args( (array) $instance, array( 'title' => '','designation'=>'', 'morelink'=>'', 'facebook'=>'', 'twitter'=>'','pinterest'=>'', 'google'=>'' ) );		
		$title = sanitize_text_field($instance['title']);
		$morelink = sanitize_text_field($instance['morelink']);
		$designation = sanitize_text_field($instance['designation']);
		$facebook = sanitize_text_field($instance['facebook']);
		$twitter = sanitize_text_field($instance['twitter']);
		$pinterest = sanitize_text_field($instance['pinterest']);
		$google = sanitize_text_field($instance['google']);
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'morelink' ); ?>"><?php _e( 'Author About Page URL Here:','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'morelink' ); ?>" name="<?php echo $this->get_field_name( 'morelink' ); ?>" type="text" value="<?php echo esc_url($morelink); ?>" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'designation' ); ?>"><?php _e( 'Designation:','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'designation' ); ?>" name="<?php echo $this->get_field_name( 'designation' ); ?>" type="text" value="<?php echo esc_url($designation); ?>" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php _e( 'Facebook Link:','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" type="text" value="<?php echo esc_url($facebook); ?>" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php _e( 'Twitter Link:','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" type="text" value="<?php echo $twitter; ?>" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'pinterest' ); ?>"><?php _e( 'Pinterest Link:','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" type="text" value="<?php echo esc_url($pinterest); ?>" />
		</p>
         <p>
			<label for="<?php echo $this->get_field_id( 'pinterest' ); ?>"><?php _e( 'Pinterest Link:','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" type="text" value="<?php echo esc_url($pinterest); ?>" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'google' ); ?>"><?php _e( 'Google Plus Link:','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'google' ); ?>" name="<?php echo $this->get_field_name( 'google' ); ?>" type="text" value="<?php echo esc_url($google); ?>" />
		</p>
       
<?php
	}
}
