<?php
/*
*
* My Book
*/
class Smartblog_My_Book extends WP_Widget {
	function __construct() {
	//Constructor
		$widget_ops = array('classname' => 'widget_author_book', 'description' => esc_html__('Shows Author book information for detail page','smartblog') );		
		parent::__construct('Smartblog_My_Book', esc_html__('T &rarr; My Book Widget','smartblog'), $widget_ops);
	}
	function widget($args, $instance) {
	// prints the widget
		extract($args, EXTR_SKIP);
		$title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
		$book = empty($instance['book']) ? '' : apply_filters('widget_book', $instance['book']);
		$book_text = empty($instance['book_text']) ? 'See My New Book' : apply_filters('widget_book_text', $instance['book_text']);
		$book_url = empty($instance['book_url']) ? '' : apply_filters('widget_book_url', $instance['book_url']);
		$desc1 = empty($instance['desc1']) ? '' : apply_filters('widget_desc1', $instance['desc1']);
		global $post;
		if($post){
		$user_info = get_userdata($post->post_author);
		echo wp_kses( $args['before_widget'], wp_kses_allowed_html( 'post' ) );
			
			if($title){ ?>
			  <h4 class="widget-title"> <?php echo esc_html($title); ?> </h4>
			  <?php }?>
			 
			  
			<?php if ( $desc1 <> "" ) { ?>
				<?php if($book){ ?><a href="<?php echo esc_url($book_url); ?>"><img src="<?php echo esc_url($book); ?>" alt="" /></a><?php }?>
				<p><?php echo wp_kses( $desc1, wp_kses_allowed_html( 'post' ) ); ?></p>
			 <?php } ?>
			 
			  <?php if($book_url){ ?>
			 <a href="<?php echo esc_url($book_url); ?>" class="button"><?php echo wp_kses( $book_text, wp_kses_allowed_html( 'post' ) ); ?><i class="fa fa-angle-right"></i></a>
			 <?php } ?>
				 
			                
		<?php echo wp_kses( $args['after_widget'], wp_kses_allowed_html( 'post' ) );
		}
	}
	function update($new_instance, $old_instance) {
	//save the widget
		return $new_instance;
	}
	function form($instance) {
	//widgetform in backend
		$instance = wp_parse_args( (array) $instance, array( 'title' => '','book'=>'', 'book_text'=>'', 'book_url'=>'', 'desc1'=>'') );		
		$title = sanitize_text_field($instance['title']);
		$book = sanitize_text_field($instance['book']);
		$book_text = sanitize_text_field($instance['book_text']);
		$book_url = sanitize_text_field($instance['book_url']);
		$desc1 = sanitize_text_field($instance['desc1']);
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title:','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_html($title); ?>" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'book' ); ?>"><?php esc_html_e( 'Book Image URL:(ex.//templatic.com/book.jpg)','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'book' ); ?>" name="<?php echo $this->get_field_name( 'book' ); ?>" type="text" value="<?php echo esc_html($book); ?>" />
		</p>
        <p><label for="<?php echo $this->get_field_id('desc1'); ?>"><?php esc_html_e('Book Short Description','smartblog'); ?>: </label>
        <textarea class="widefat" rows="6" cols="20" id="<?php echo $this->get_field_id('desc1'); ?>" name="<?php echo $this->get_field_name('desc1'); ?>"><?php echo esc_attr($desc1); ?></textarea></p>	
        <p>
			<label for="<?php echo $this->get_field_id( 'book_text' ); ?>"><?php esc_html_e( 'Book Button Text:(ex.See My New Book)','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'book_text' ); ?>" name="<?php echo $this->get_field_name( 'book_text' ); ?>" type="text" value="<?php echo esc_html($book_text); ?>" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'book_url' ); ?>"><?php esc_html_e( 'Book URL:(ex.//templatic.com/mybook)','smartblog' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'book_url' ); ?>" name="<?php echo $this->get_field_name( 'book_url' ); ?>" type="text" value="<?php echo esc_url($book_url); ?>" />
		</p>
       
<?php
	}
}
